(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     18374,        528]
NotebookOptionsPosition[     17346,        499]
NotebookOutlinePosition[     17843,        519]
CellTagsIndexPosition[     17800,        516]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Reduce", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{"R", "^", "2"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Cos", "[", "y", "]"}], "^", "2"}], ")"}]}], ")"}]}], 
     "\[Equal]", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"2", "a"}], ")"}], "^", "2"}], "+", 
      RowBox[{"x", "^", "2"}], "-", 
      RowBox[{"4", " ", "a", " ", "x", " ", 
       RowBox[{"Cos", "[", " ", "y", "]"}]}]}]}], "}"}], ",", " ", 
   RowBox[{"Cos", "[", "y", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.790870576765123*^9, 3.790870681547805*^9}, {
  3.7908707770796022`*^9, 3.7908708774273415`*^9}, {3.790870913018894*^9, 
  3.790870921239792*^9}, {3.79087152932815*^9, 3.79087159428734*^9}, {
  3.7908716688854136`*^9, 3.7908716732135286`*^9}, {3.7908717196038637`*^9, 
  3.7908717241819773`*^9}, {3.79087211921099*^9, 3.790872132695321*^9}, {
  3.7908721841849537`*^9, 3.790872188934762*^9}, {3.79087226710645*^9, 
  3.790872310149001*^9}, {3.791231206193012*^9, 3.791231239521052*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"b7ab1955-0333-4f7c-8b53-a8a7059df13e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"R", "\[NotEqual]", "0"}], "&&", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Cos", "[", "y", "]"}], "\[Equal]", 
       FractionBox[
        RowBox[{
         RowBox[{"a", " ", "x"}], "-", 
         SqrtBox[
          RowBox[{
           RowBox[{
            RowBox[{"-", "4"}], " ", 
            SuperscriptBox["a", "2"], " ", 
            SuperscriptBox["R", "2"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["R", "4"]}], "+", 
           RowBox[{
            SuperscriptBox["a", "2"], " ", 
            SuperscriptBox["x", "2"]}], "-", 
           RowBox[{
            SuperscriptBox["R", "2"], " ", 
            SuperscriptBox["x", "2"]}]}]]}], 
        RowBox[{"2", " ", 
         SuperscriptBox["R", "2"]}]]}], "||", 
      RowBox[{
       RowBox[{"Cos", "[", "y", "]"}], "\[Equal]", 
       FractionBox[
        RowBox[{
         RowBox[{"a", " ", "x"}], "+", 
         SqrtBox[
          RowBox[{
           RowBox[{
            RowBox[{"-", "4"}], " ", 
            SuperscriptBox["a", "2"], " ", 
            SuperscriptBox["R", "2"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["R", "4"]}], "+", 
           RowBox[{
            SuperscriptBox["a", "2"], " ", 
            SuperscriptBox["x", "2"]}], "-", 
           RowBox[{
            SuperscriptBox["R", "2"], " ", 
            SuperscriptBox["x", "2"]}]}]]}], 
        RowBox[{"2", " ", 
         SuperscriptBox["R", "2"]}]]}]}], ")"}]}], ")"}], "||", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"R", "\[Equal]", "0"}], "&&", 
    RowBox[{
     RowBox[{"a", " ", "x"}], "\[NotEqual]", "0"}], "&&", 
    RowBox[{
     RowBox[{"Cos", "[", "y", "]"}], "\[Equal]", 
     FractionBox[
      RowBox[{
       RowBox[{"4", " ", 
        SuperscriptBox["a", "2"]}], "+", 
       SuperscriptBox["x", "2"]}], 
      RowBox[{"4", " ", "a", " ", "x"}]]}]}], ")"}], "||", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x", "\[Equal]", "0"}], "&&", 
    RowBox[{"R", "\[Equal]", "0"}], "&&", 
    RowBox[{"a", "\[Equal]", "0"}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.7908709250157437`*^9, 3.7908715980012836`*^9, 3.7908716780570874`*^9, 
   3.790871727431962*^9, {3.79087212308597*^9, 3.790872137726562*^9}, 
   3.7908721925597534`*^9, 3.7908723160238085`*^9, 3.790935660848569*^9, 
   3.791231247427107*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"e6862c72-cf30-4d19-aa18-7086642c635e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{"  ", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"r", " ", 
           RowBox[{"(", 
            RowBox[{"R", "-", "r"}], ")"}]}], "]"}], "x"}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"R", "-", 
           RowBox[{"2", " ", "r"}]}], ")"}], 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", "R"}], "+", "x"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", "R"}], "-", "x"}], ")"}]}], "]"}]}]}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox["R", "2"]}]], "\[Equal]", 
     FractionBox[
      RowBox[{
       RowBox[{"13", " ", "r"}], "-", 
       RowBox[{"8", " ", 
        RowBox[{"(", 
         RowBox[{"R", "+", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["r", "2"]}], "-", 
            RowBox[{"3", "r", " ", "R"}], "+", " ", 
            RowBox[{"R", "^", "2"}]}], "]"}]}], ")"}]}]}], 
      RowBox[{
       RowBox[{"11", " ", "r"}], "-", 
       RowBox[{"8", " ", 
        RowBox[{"(", 
         RowBox[{"R", "+", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["r", "2"]}], "-", 
            RowBox[{"3", "r", " ", "R"}], "+", " ", 
            RowBox[{"R", "^", "2"}]}], "]"}]}], ")"}]}]}]]}], ",", "x"}], 
   "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7910433961048985`*^9, 3.7910433982478724`*^9}, 
   3.7910440176345243`*^9, {3.7910444784727373`*^9, 3.7910445180662327`*^9}, {
   3.7910447072868543`*^9, 3.7910447237886467`*^9}, {3.7910463642520237`*^9, 
   3.791046368131979*^9}, {3.7910490683719616`*^9, 3.791049075918638*^9}, {
   3.791231269098927*^9, 3.7912312893176327`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"ced82b2e-dd73-4bf5-8c26-4ea55e956bcb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"r", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"13", " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"-", "r"}], " ", 
               RowBox[{"(", 
                RowBox[{"r", "-", "R"}], ")"}]}]]}], "-", 
            RowBox[{"22", " ", 
             SqrtBox[
              RowBox[{"-", 
               FractionBox[
                RowBox[{"r", " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", "R"}], ")"}], "2"], 
                 " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"3", " ", "r"}], "-", 
                   RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"R", "+", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"]}], "-", 
                    RowBox[{"3", " ", "r", " ", "R"}], "+", 
                    SuperscriptBox["R", "2"]}]]}], ")"}]}]}], ")"}]}], 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"11", " ", "r"}], "-", 
                   RowBox[{"8", " ", 
                    RowBox[{"(", 
                    RowBox[{"R", "+", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"]}], "-", 
                    RowBox[{"3", " ", "r", " ", "R"}], "+", 
                    SuperscriptBox["R", "2"]}]]}], ")"}]}]}], ")"}], 
                 "2"]]}]]}]}], ")"}]}], "-", 
         RowBox[{"8", " ", 
          RowBox[{"(", 
           RowBox[{"R", "+", 
            SqrtBox[
             RowBox[{
              RowBox[{"2", " ", 
               SuperscriptBox["r", "2"]}], "-", 
              RowBox[{"3", " ", "r", " ", "R"}], "+", 
              SuperscriptBox["R", "2"]}]]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            SqrtBox[
             RowBox[{"r", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "R"}], ")"}]}]], "-", 
            RowBox[{"2", " ", 
             SqrtBox[
              FractionBox[
               RowBox[{"r", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", "R"}], ")"}], "2"], 
                " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", "3"}], " ", "r"}], "+", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{"R", "+", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"]}], "-", 
                    RowBox[{"3", " ", "r", " ", "R"}], "+", 
                    SuperscriptBox["R", "2"]}]]}], ")"}]}]}], ")"}]}], 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"11", " ", "r"}], "-", 
                  RowBox[{"8", " ", 
                   RowBox[{"(", 
                    RowBox[{"R", "+", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"]}], "-", 
                    RowBox[{"3", " ", "r", " ", "R"}], "+", 
                    SuperscriptBox["R", "2"]}]]}], ")"}]}]}], ")"}], 
                "2"]]]}]}], ")"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{"11", " ", "r"}], "-", 
       RowBox[{"8", " ", 
        RowBox[{"(", 
         RowBox[{"R", "+", 
          SqrtBox[
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["r", "2"]}], "-", 
            RowBox[{"3", " ", "r", " ", "R"}], "+", 
            SuperscriptBox["R", "2"]}]]}], ")"}]}]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"r", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"13", " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"-", "r"}], " ", 
               RowBox[{"(", 
                RowBox[{"r", "-", "R"}], ")"}]}]]}], "+", 
            RowBox[{"22", " ", 
             SqrtBox[
              RowBox[{"-", 
               FractionBox[
                RowBox[{"r", " ", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", "R"}], ")"}], "2"], 
                 " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"3", " ", "r"}], "-", 
                   RowBox[{"2", " ", 
                    RowBox[{"(", 
                    RowBox[{"R", "+", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"]}], "-", 
                    RowBox[{"3", " ", "r", " ", "R"}], "+", 
                    SuperscriptBox["R", "2"]}]]}], ")"}]}]}], ")"}]}], 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"11", " ", "r"}], "-", 
                   RowBox[{"8", " ", 
                    RowBox[{"(", 
                    RowBox[{"R", "+", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"]}], "-", 
                    RowBox[{"3", " ", "r", " ", "R"}], "+", 
                    SuperscriptBox["R", "2"]}]]}], ")"}]}]}], ")"}], 
                 "2"]]}]]}]}], ")"}]}], "-", 
         RowBox[{"8", " ", 
          RowBox[{"(", 
           RowBox[{"R", "+", 
            SqrtBox[
             RowBox[{
              RowBox[{"2", " ", 
               SuperscriptBox["r", "2"]}], "-", 
              RowBox[{"3", " ", "r", " ", "R"}], "+", 
              SuperscriptBox["R", "2"]}]]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            SqrtBox[
             RowBox[{"r", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "r"}], "+", "R"}], ")"}]}]], "+", 
            RowBox[{"2", " ", 
             SqrtBox[
              FractionBox[
               RowBox[{"r", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "2"}], " ", "r"}], "+", "R"}], ")"}], "2"], 
                " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", "3"}], " ", "r"}], "+", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{"R", "+", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"]}], "-", 
                    RowBox[{"3", " ", "r", " ", "R"}], "+", 
                    SuperscriptBox["R", "2"]}]]}], ")"}]}]}], ")"}]}], 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"11", " ", "r"}], "-", 
                  RowBox[{"8", " ", 
                   RowBox[{"(", 
                    RowBox[{"R", "+", 
                    SqrtBox[
                    RowBox[{
                    RowBox[{"2", " ", 
                    SuperscriptBox["r", "2"]}], "-", 
                    RowBox[{"3", " ", "r", " ", "R"}], "+", 
                    SuperscriptBox["R", "2"]}]]}], ")"}]}]}], ")"}], 
                "2"]]]}]}], ")"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{"11", " ", "r"}], "-", 
       RowBox[{"8", " ", 
        RowBox[{"(", 
         RowBox[{"R", "+", 
          SqrtBox[
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["r", "2"]}], "-", 
            RowBox[{"3", " ", "r", " ", "R"}], "+", 
            SuperscriptBox["R", "2"]}]]}], ")"}]}]}]]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.791043478570838*^9, 3.7910440291953793`*^9, 
  3.791044525782136*^9, 3.7910447316435475`*^9, 3.791046379258834*^9, 
  3.791049079699879*^9, 3.791231296114483*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"23272c43-0f07-401a-b22b-874bd18714cc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"R", ":=", 
  RowBox[{"697", "/", "2"}]}], "\[IndentingNewLine]", 
 RowBox[{"r", ":=", 
  RowBox[{"272", "/", "2"}]}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{"  ", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"r", " ", 
           RowBox[{"(", 
            RowBox[{"R", "-", "r"}], ")"}]}], "]"}], "x"}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"R", "-", 
           RowBox[{"2", " ", "r"}]}], ")"}], 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", "R"}], "+", "x"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", "R"}], "-", "x"}], ")"}]}], "]"}]}]}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox["R", "2"]}]], "\[Equal]", 
     FractionBox[
      RowBox[{
       RowBox[{"13", " ", "r"}], "-", 
       RowBox[{"8", " ", 
        RowBox[{"(", 
         RowBox[{"R", "+", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["r", "2"]}], "-", 
            RowBox[{"3", "r", " ", "R"}], "+", " ", 
            RowBox[{"R", "^", "2"}]}], "]"}]}], ")"}]}]}], 
      RowBox[{
       RowBox[{"11", " ", "r"}], "-", 
       RowBox[{"8", " ", 
        RowBox[{"(", 
         RowBox[{"R", "+", 
          RowBox[{"Sqrt", "[", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["r", "2"]}], "-", 
            RowBox[{"3", "r", " ", "R"}], "+", " ", 
            RowBox[{"R", "^", "2"}]}], "]"}]}], ")"}]}]}]]}], ",", "x"}], 
   "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.791233312712352*^9, 3.7912333157904696`*^9}, {
  3.791233357587294*^9, 3.791233402759001*^9}, {3.791233473055699*^9, 
  3.7912334784933696`*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"e6583edb-d169-433d-b363-ccca0d566adf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"x", "\[Rule]", "672"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.7912334068371143`*^9, 3.791233485602542*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"d19ae3f7-93a7-40cb-8032-817184d22988"]
}, Open  ]]
},
WindowSize->{1366, 685},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{32000, 32000},
PrintingOptions->{"Magnification"->1.,
"PaperOrientation"->"Portrait",
"PaperSize"->{595.2, 841.8}},
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 1210, 28, 45, "Input",ExpressionUUID->"b7ab1955-0333-4f7c-8b53-a8a7059df13e"],
Cell[1793, 52, 2464, 72, 62, "Output",ExpressionUUID->"e6862c72-cf30-4d19-aa18-7086642c635e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4294, 129, 2028, 56, 68, "Input",ExpressionUUID->"ced82b2e-dd73-4bf5-8c26-4ea55e956bcb"],
Cell[6325, 187, 8720, 239, 228, "Output",ExpressionUUID->"23272c43-0f07-401a-b22b-874bd18714cc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15082, 431, 1996, 58, 107, "Input",ExpressionUUID->"e6583edb-d169-433d-b363-ccca0d566adf"],
Cell[17081, 491, 249, 5, 32, "Output",ExpressionUUID->"d19ae3f7-93a7-40cb-8032-817184d22988"]
}, Open  ]]
}
]
*)

